From 54789ef242008cf12d651694a2aa8dd29b13ae1f Mon Sep 17 00:00:00 2001
From: Alex Iribarren <Alex.Iribarren@cern.ch>
Date: Tue, 22 Feb 2022 16:36:20 +0100
Subject: [PATCH] Enable USB controller and keyboard for aarch64 for all
 libvirt types

---
 oz/Guest.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/oz/Guest.py b/oz/Guest.py
index d0e0f068..5197067f 100644
--- a/oz/Guest.py
+++ b/oz/Guest.py
@@ -531,7 +531,7 @@ def _generate_xml(self, bootdev, installdev, kernel=None, initrd=None,
             elif self.mousetype == "usb":
                 mousedict['type'] = 'tablet'
             oz.ozutil.lxml_subelement(devices, "input", None, mousedict)
-            if self.tdl.arch in ["aarch64", "armv7l"] and self.libvirt_type == "kvm":
+            if self.tdl.arch in ["aarch64", "armv7l"]:
                 # Other arches add a keyboard by default, for historical reasons ARM doesn't
                 # so we add it here so graphical works and hence we can get debug screenshots RHBZ 1538637
                 oz.ozutil.lxml_subelement(devices, 'controller', None, {'type': 'usb', 'index': '0'})
